# uip/uip_arp.h File Reference

## Detailed Description

Macros and definitions for the ARP module.

Author:
  Adam Dunkels <adam@dunkels.com>

Definition in file uip_arp.h.

`#include "uip.h"`

Go to the source code of this file.

## Data Structures

struct | uip_eth_hdr
| The Ethernet header. More...

## Defines

#define | UIP_ETHTYPE_ARP 0x0806
#define | UIP_ETHTYPE_IP 0x0800
#define | UIP_ETHTYPE_IP6 0x86dd
#define | uip_arp_ipin()
#define | uip_setethaddr(eaddr)
| Specifiy the Ethernet MAC address.

## Functions

void | uip_arp_init (void)
| Initialize the ARP module.
void | uip_arp_arpin (void)
| ARP processing for incoming ARP packets.
void | uip_arp_out (void)
| Prepend Ethernet header to an outbound IP packet and see if we need to send out an ARP request.
void | uip_arp_timer (void)
| Periodic ARP processing function.

## Variables

uip_eth_addr | uip_ethaddr